package com.hzya.frame.plugin.lets.ofsvo;

import lombok.Data;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.ofsvo
 * @Project：kangarooDataCenterV3
 * @name：QueryOfsSoSaleOutVo
 * @Date：2024/7/31 18:40
 * @Filename：QueryOfsSoSaleOutVo
 */
@Data
public class QueryOfsSoSaleOutVo {

    private String created_start;

    private String created_end;

    private String clientCode;

    private String companyCode;

    private Long status;

    private String internalInstructionType;

    private Long pageNo;

    private Long pageSize;

    private String code;

    private String shipAt_start;

    private String shipAt_end;

    private String closedAt_start;

    private String closedAt_end;

    private String storeCode;
    //审核开始
    private String auditAt_start;
    //审核结束
    private String auditAt_end;
    //交易成功时间开始
    private String tradeSuccessAt_start;
    //交易成功时间结束
    private String tradeSuccessAt_end;
    //交易成功状态
    private String sourceOrderStatus;
    //退款成功时间
    private String refundedAt_start;
    //退款成功时间
    private String refundedAt_end;
    //退款成功状态
    private String refundStatus;
    //确认单收货时间-开始
    private String receivedAt_start;
    //确认单收货时间-结束
    private String receivedAt_end;
    //无源入库确认单关联时间-开始
    private String relatedAt_start;
    //无源入库确认单关联时间-结束
    private String relatedAt_end;
}