package com.hzya.frame.plugin.lets.plugin.transfer;

import com.hzya.frame.WebappApplication;
import com.hzya.frame.plugin.lets.plugin.adjust.*;
import com.hzya.frame.plugin.lets.plugin.dingtalk.DingCallBackPluginInitializer;
import com.hzya.frame.plugin.lets.plugin.sales.RefundOnlyPluginInitializer;
import com.hzya.frame.plugin.lets.plugin.sales.RefundOnlyPluginInitializerToB;
import com.hzya.frame.plugin.lets.plugin.sales.RefundOnlyPluginInitializerToC;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class TransferTest {
//    @Autowired
//    private TransferPluginInitializer transferPluginInitializer;

    @Autowired
    private TransferInPluginInitializer transferInPluginInitializer;
    @Autowired
    private TransferOutPluginInitializer transferOutPluginInitializer;
    @Autowired
    private AdjustInPluginInitializer adjustInPluginInitializer;
    @Autowired
    private AdjustOutPluginInitializer adjustOutPluginInitializer;
    @Autowired
    private AdjustInZZPluginInitializer adjustInZZPluginInitializerm;
    @Autowired
    private OtherOutPluginInitializer otherOutPluginInitializer;
    @Autowired
    private OtherInPluginInitializer otherInPluginInitializer;
    @Autowired
    private RefundOnlyPluginInitializer refundOnlyPluginInitializer;

    ////////////////////////////////////////////////////////////////////////////////////调拨订单
//    @Test
//    public void t00(){
//        transferPluginInitializer.start();
//    }
//    @Test
//    public void t01(){
//        transferPluginInitializer.start("LETS-TH2024080800000002");
//    }



    ////////////////////////////////////////////////////////////////////////////////////调拨出库单

    @Test
    public void t10(){
        transferOutPluginInitializer.start("LETS-SH2025020200017429");
    }

    @Test
    public void t11(){
        transferOutPluginInitializer.start("2024-09-20","2024-09-20");
    }
    @Test
    public void t12() throws Exception {
        transferOutPluginInitializer.queryOfsTransderOrder("LETS-TH2025010300000169");
    }

    ////////////////////////////////////////////////////////////////////////////////////调拨入库单
    @Test
    public void t20(){
        transferInPluginInitializer.start();
    }
    @Test
    public void t21(){
        transferInPluginInitializer.start("LETS-RE2025010600000520");
    }
    @Test
    public void t22(){
        transferInPluginInitializer.start("2025-03-01","2025-03-06");
    }




    ////////////////////////////////////////////////////////////////////////////////////调整入库单
    @Test
    public void t30(){
        adjustInPluginInitializer.start();
    }
    @Test
    public void t31(){
//        adjustInPluginInitializer.start("LETS-RE2024091100000001");
        adjustInPluginInitializer.start("LETS-RE2024101700000004");
    }
    @Test
    public void t32(){
        adjustInPluginInitializer.start("2024-09-20","2024-09-20");
    }

    ////////////////////////////////////////////////////////////////////////////////////调整出库单
    @Test
    public void t40(){
        adjustOutPluginInitializer.start();
    }
    @Test
    public void t41(){
        adjustOutPluginInitializer.start("LETS-SH2024102100023564");
    }
    @Test
    public void t42(){
        adjustOutPluginInitializer.start("2024-09-11","2024-09-11");
    }

    @Test
    public void t43() throws Exception {
        adjustOutPluginInitializer.queryOfsAdjustOrders("LETS-AH2024082200000001");
    }

    ////////////////////////////////////////////////////////////////////////////////////组装单
    @Test
    public void t50(){
        adjustInZZPluginInitializerm.start("LETS-RE2024091200000002");
    }
    ////////////////////////////////////////////////////////////////////////////////////组装单


    ////////////////////////////////////////////////////////////////////////////////////出库审核
    @Test
    public void t60(){
        otherOutPluginInitializer.start("TC2409130006");
    }
    ////////////////////////////////////////////////////////////////////////////////////出库审核
    ////////////////////////////////////////////////////////////////////////////////////入库审核
    @Test
    public void t70(){
        otherInPluginInitializer.start("TR2409200003");
    }
    ////////////////////////////////////////////////////////////////////////////////////入库审核

    ////////////////////////////////////////////////////////////////////////////////////仅退款
    @Test
    public void t80(){
//        refundOnlyPluginInitializer.start("LETS-RO2024091900000001");
//        refundOnlyPluginInitializer.start("LETS-RO2023060900005007");
        refundOnlyPluginInitializer.start("LETS-RO2024112600003011");
    }

    @Test
    public void t81(){
//        refundOnlyPluginInitializer.start("2023-08-20","2023-08-25");
        refundOnlyPluginInitializer.start("2024-10-24","2024-10-24");
    }
    ////////////////////////////////////////////////////////////////////////////////////仅退款

    ////////////////////////////////////////////////////////////////////////////////////仅退款TOB
    @Autowired
    private RefundOnlyPluginInitializerToB refundOnlyPluginInitializerToB;

    @Test
    public void t100(){
        refundOnlyPluginInitializerToB.start("2024-11-06","2024-11-06");
    }
    @Test
    public void t101(){
        refundOnlyPluginInitializerToB.start("LETS-RO2025010400005104");
    }
    ////////////////////////////////////////////////////////////////////////////////////仅退款TOB


    ////////////////////////////////////////////////////////////////////////////////////仅退款TOC
    @Autowired
    private RefundOnlyPluginInitializerToC refundOnlyPluginInitializerToC;

    @Test
    public void t90(){
        refundOnlyPluginInitializerToC.start("LETS-RO2025011100008183");
    }
    @Test
    public void t91(){
        refundOnlyPluginInitializerToC.start("2024-12-11","2024-12-13");
    }
    ////////////////////////////////////////////////////////////////////////////////////仅退款TOC

    ////////////////////////////////////////////////////////////////////////////////////dingtalk
    @Autowired
    private DingCallBackPluginInitializer dingCallBackPluginInitializer;

    @Test
    public void t1101(){
        dingCallBackPluginInitializer.start();
    }

    ////////////////////////////////////////////////////////////////////////////////////dingtalk
}
