package com.hzya.frame.plugin.lets.util;

import com.alibaba.fastjson2.JSON;
import com.hzya.frame.WebappApplication;
import com.hzya.frame.plugin.lets.dao.IBdInvbasdocDao;
import com.hzya.frame.plugin.lets.dao.IBdInvclDao;
import com.hzya.frame.plugin.lets.entity.BdCostsubjEntity;
import com.hzya.frame.plugin.lets.entity.BdInvbasdocEntity;
import com.hzya.frame.plugin.lets.entity.BdInvclEntity;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;
import java.util.Map;

import static org.junit.Assert.*;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.util
 * @Project：kangarooDataCenterV3
 * @name：QueryU8CEntityUtilTest
 * @Date：2024/9/20 13:43
 * @Filename：QueryU8CEntityUtilTest
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class QueryU8CEntityUtilTest {

    @Autowired
    private QueryU8CEntityUtil queryU8CEntityUtil;

    @Autowired
    private IBdInvclDao iBdInvclDao;

    @Autowired
    private IBdInvbasdocDao iBdInvbasdocDao;

    @Test
    public void queryBdInvbasdocByBdInvcl() throws Exception {
//        BdInvclEntity bdInvclEntity = new BdInvclEntity();
//        bdInvclEntity.setInvclasscode("DL002");
//        bdInvclEntity.setDr(0);
//        bdInvclEntity.setDataSourceCode("lets_u8c");
//        List<BdInvclEntity> query = iBdInvclDao.query(bdInvclEntity);

        //存货基本档案
//        String s = "6973391730792";
        BdInvbasdocEntity bdInvbasdocEntity = new BdInvbasdocEntity();
        bdInvbasdocEntity.setInvcodes("'6973391730792'");
        List<BdInvbasdocEntity> bdInvbasdocEntities = iBdInvbasdocDao.queryBdInvbasdocByPkInvmandocV3(bdInvbasdocEntity);
        BdInvclEntity bdInvclEntity = queryU8CEntityUtil.queryBdInvbasdocByBdInvcl(bdInvbasdocEntities.get(0));
        BdCostsubjEntity bdCostsubjEntity = queryU8CEntityUtil.queryBdCostsubj(bdInvclEntity);
        System.out.println(JSON.toJSONString(bdCostsubjEntity));
    }

    @Test
    public void queryBdCostsubj() {
        String s = queryU8CEntityUtil.queryBdDefDocByPkDefDocList("KS");
        System.out.println(s);

//        Map<String, String> stringStringMap = queryU8CEntityUtil.queryBdDefDocByPkDefDocAll();
//        System.out.println(JSON.toJSONString(stringStringMap));
    }

    @Test
    public void testGetFuzzyQueryCustomers() {
        try {
//            String aaa = "9279";
//            queryU8CEntityUtil.getFuzzyQueryCustomers(aaa);

            queryU8CEntityUtil.queryBdDefDocByPkDefDocAll();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}