package com.hzya.frame.grpU8.nxproof.glPznr.dao;


import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity;

import java.util.List;

/**
 * (gl_pznr: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-20 14:14:30
 */
public interface ISenderGlPznrDao extends IBaseDao<SenderGlPznrEntity, String> {

    /**
     *
     * @content 查询凭证内容  卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 10:11
     * **/
    List<SenderGlPznrEntity> querySenderGlPznrEntity(SenderGlPznrEntity senderGlPznrEntity);

    /**
     *
     * @content 保存凭证内容到凭证内容日志中 卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/29 15:08
     * **/
    SenderGlPznrEntity saveSenderGlPznrEntity(SenderGlPznrEntity senderGlPznrEntity);

    /**
     *
     * @content 更新凭证内容到凭证内容表中 卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/29 15:09
     * **/
    SenderGlPznrEntity updateSenderGlPznrEntity(SenderGlPznrEntity senderGlPznrEntity);

    /**
     *
     * @content 根据凭证内容id等条件，查询在凭证日志中是否存在，如果不存在，则新增
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/7/1 9:20
     * **/
    SenderGlPznrEntity querySenderGlPznrEntityOne(SenderGlPznrEntity senderGlPznrEntity);

    /**
     *
     * @content 查询凭证内容  卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 10:11
     * **/
    List<SenderGlPznrEntity> queryGlPznrHealthBureau(SenderGlPznrEntity senderGlPznrEntity);

    /**
     *
     * @content 保存凭证内容 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/29 14:05
     * **/
    SenderGlPznrEntity saveGlPznrHealthBureau(SenderGlPznrEntity senderGlPznrEntity);

    /**
     *
     * @content 更新凭证内容 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/29 14:06
     * **/
    SenderGlPznrEntity updateGlPznrHealthBureau(SenderGlPznrEntity senderGlPznrEntity);

   /**
    *
    * @content 删除凭证内容 卫生局
    * @Param
    * @Return
    * @Author hecan
    * @Date 2024/8/9 17:57
    * **/
   Integer deleteGlPznrHealthBureau(SenderGlPznrEntity senderGlPznrEntity);

}

