package com.hzya.frame.grpU8.nxproof.oerdjml.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.hzya.frame.grpU8.nxproof.oerdjml.entity.OerDjmlEntity;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;

/**
 * @Author:hecan
 * @Description:费用报销报销明细总
 * @params:
 * @return:
 * @Date: 2023/6/19 14:28
 */
public interface IOerDjmlService {

    /*****
     * 费用报销单保存方法,三方系统传JSON数据，解析完成后保存到GRP费用报销单
     * @author 👻👻👻👻👻👻👻👻 gjh
     * @Date  2023-06-29 11:24
     * @param  jsonObject 三方系统传递JSON对象数据
     * @return Result<XxxxDO>
     **/
    String saveExpenseDocuments(JSONObject jsonObject);


    OerDjmlEntity queryOerDjmlEntity(OerDjmlEntity oerDjmlEntity);

    /**
     * @Author lvleigang
     * @Description  费用报销单处理
     * @Date 9:54 上午 2024/8/14
     * @param jsonObject
     * @return java.lang.Object
     **/
    @DSTransactional()
    Object handleOerDjml(JSONObject jsonObject);
}
