package com.hzya.frame.plugin.lets.u8cdto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class BillVO {

    private Parentvo parentvo;
    private List<Childrenvo> childrenvo;

    @Data
    public static class Parentvo {
        private String cauditorid;//审批人编码
        private String cbillid;//调拨订单主表id
        private String cbiztypeid;//业务流程编码
        private String cincbid;//调入组织编码
        private String cincorpid;//调入公司编码
        private String cinwhid;//调入仓库编码
        private String clastmodifierid;//最后修改人编码
        private String coperatorid;//制单人编码
        private String coutcbid;//调出组织编码
        private String coutcorpid;//调出公司编码
        private String coutcurrtype;//币种编码
        private String coutwhid;//调出仓库编码
        private String ctypecode;//单据类型
        private String dauditdate;//审批日期
        private String dbilldate;//单据日期
        private String fstatusflag;//单据状态
        private String pk_defdoc1;//自定义项1pk
        private String pk_defdoc10;//自定义项10pk
        private String pk_defdoc11;//自定义项11pk
        private String pk_defdoc12;//自定义项12pk
        private String pk_defdoc13;//自定义项13pk
        private String pk_defdoc14;//自定义项14pk
        private String pk_defdoc15;//自定义项15pk
        private String pk_defdoc16;//自定义项16pk
        private String pk_defdoc17;//自定义项17pk
        private String pk_defdoc18;//自定义项18pk
        private String pk_defdoc19;//自定义项19pk
        private String pk_defdoc2;//自定义项2pk
        private String pk_defdoc20;//自定义项20pk
        private String pk_defdoc3;//自定义项3pk
        private String pk_defdoc4;//自定义项4pk
        private String pk_defdoc5;//自定义项5pk
        private String pk_defdoc6;//自定义项6pk
        private String pk_defdoc7;//自定义项7pk
        private String pk_defdoc8;//自定义项8pk
        private String pk_defdoc9;//自定义项9pk
        private String taudittime;//审批时间
        private String tlastmodifytime;//最后修改时间
        private String tmaketime;//制单时间
        private String ts;//ts
        private String vcode;//单据号
        private String vnote;//备注
        private String vdef1;
        private String vdef2;
        private String vdef3;
        private String vdef4;
        private String vdef5;
        private String vdef6;
        private String vdef7;
        private String vdef8;
        private String vdef9;
        private String vdef10;
        private String vdef11;
        private String vdef12;
        private String vdef13;
        private String vdef14;
        private String vdef15;
        private String vdef16;
        private String vdef17;
        private String vdef18;
        private String vdef19;
        private String vdef20;

    }

    @Data
    public static class Childrenvo {
        private String castunitid;//辅单位
        private String cbill_bid;//调拨订单子表主键
        private String cbillid;//调拨订单主表主键
        private String cindeptid;//调入部门
        private String cininvid;//调入存货标识
        private String cinpsnid;//调入业务员
        private String cinspaceid;//调入货位
        private String cinvbasid;//存货基本档案
        private String coutdeptid;//调出部门
        private String coutinvid;//调出存货标识
        private String coutpsnid;//调出业务员
        private String coutspaceid;//调出货位
        private String cprojectid;//项目
        private String crowno;//行号
        private String dplanarrivedate;//计划到货日期
        private String dplanoutdate;//计划发货日期
        private String flargess;//是否赠品
        private String nassistnum;//辅数量
        private String nchangerate;//换算率
        private String nmny;//金额
        private String nnotaxmny;//无税金额
        private String nnotaxprice;//无税单价
        private BigDecimal nnum;//数量
        private String nprice;//单价
        private String ntaxrate;//税率
        private String pk_defdoc1;//自定义项1pk
        private String pk_defdoc10;//自定义项10pk
        private String pk_defdoc11;//自定义项11pk
        private String pk_defdoc12;//自定义项12pk
        private String pk_defdoc13;//自定义项13pk
        private String pk_defdoc14;//自定义项14pk
        private String pk_defdoc15;//自定义项15pk
        private String pk_defdoc16;//自定义项16pk
        private String pk_defdoc17;//自定义项17pk
        private String pk_defdoc18;//自定义项18pk
        private String pk_defdoc19;//自定义项19pk
        private String pk_defdoc2;//自定义项2pk
        private String pk_defdoc20;//自定义项20pk
        private String pk_defdoc3;//自定义项3pk
        private String pk_defdoc4;//自定义项4pk
        private String pk_defdoc5;//自定义项5pk
        private String pk_defdoc6;//自定义项6pk
        private String pk_defdoc7;//自定义项7pk
        private String pk_defdoc8;//自定义项8pk
        private String pk_defdoc9;//自定义项9pk
        private String tplanarrivetime;//计划到货时间
        private String tplanouttime;//计划发货时间
        private String ts;//ts
        private String vbdef1;//自定义项1
        private String vbdef10;//自定义项10
        private String vbdef11;//自定义项11
        private String vbdef12;//自定义项12
        private String vbdef13;//自定义项13
        private String vbdef14;//自定义项14
        private String vbdef15;//自定义项15
        private String vbdef16;//自定义项16
        private String vbdef17;//自定义项17
        private String vbdef18;//自定义项18
        private String vbdef19;//自定义项19
        private String vbdef2;//自定义项2
        private String vbdef20;//自定义项20
        private String vbdef3;//自定义项3
        private String vbdef4;//自定义项4
        private String vbdef5;//自定义项5
        private String vbdef6;//自定义项6
        private String vbdef7;//自定义项7
        private String vbdef8;//自定义项8
        private String vbdef9;//自定义项9
        private String vrownote;//备注

    }


}
