package com.hzya.frame.deletedata.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.deletedata.dao.DeleteU8cDataUtilDao;
import com.hzya.frame.deletedata.entity.DeleteU8cDataUtilEntity;
import com.hzya.frame.deletedata.vo.DeleteArapDjzbVo;
import com.hzya.frame.deletedata.vo.DeleteIcGeneralHVo;
import com.hzya.frame.deletedata.vo.DeleteSoSaleVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 报表授权表(ReportAccredit)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-21 15:02:11
 */
@Repository(value = "DeleteU8cDataUtilDaoImpl")
public class DeleteU8cDataUtilDaoImpl extends MybatisGenericDao<DeleteU8cDataUtilEntity, String> implements DeleteU8cDataUtilDao {

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> querySoSaleinvoiceByDelete(DeleteU8cDataUtilEntity soSaleinvoiceEntity) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.querySoSaleinvoiceByDelete", soSaleinvoiceEntity);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> queryIcGeneralHByDelete(DeleteIcGeneralHVo deleteIcGeneralHVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.queryIcGeneralHByDelete", deleteIcGeneralHVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> queryIcGeneralHByCancelSignature(DeleteIcGeneralHVo deleteIcGeneralHVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.queryIcGeneralHByCancelSignature", deleteIcGeneralHVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> queryIcGeneralHBySign(DeleteIcGeneralHVo deleteIcGeneralHVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.queryIcGeneralHBySign", deleteIcGeneralHVo);
    }


    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> querySoSaleByDelete(DeleteSoSaleVo deleteIcGeneralHVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.querySoSaleByDelete", deleteIcGeneralHVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> abandonmentAccountsReceivableDoc(DeleteSoSaleVo deleteSoSaleVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.abandonmentAccountsReceivableDoc", deleteSoSaleVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> abandonmentAccountsReceivableDocFreeState(DeleteSoSaleVo deleteSoSaleVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.abandonmentAccountsReceivableDocFreeState", deleteSoSaleVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> querySoSaleinvoiceByCancelApproval(DeleteU8cDataUtilEntity soSaleinvoiceEntity) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.querySoSaleinvoiceByCancelApproval", soSaleinvoiceEntity);
    }
}

